package com.ruoyi.project.training.spec.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import com.ruoyi.project.training.spec.domain.TStQuestionAnswer;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 季度反馈数据传输对象
 *
 * @author 王子文
 * @date 2022年5月22日
 */
public class TStFeedbackSeasonalVO extends BaseEntity
{
    /** 反馈id */
    Long feedbackId;

    /** 导师反馈内容 */
    String mentorFeedback;

    /** 问卷内容 */
    TStQuestionAnswer[] tStQuestionAnswerArray;

    public Long getFeedbackId() {
        return feedbackId;
    }

    public void setFeedbackId(Long feedbackId) {
        this.feedbackId = feedbackId;
    }

    public String getMentorFeedback() {
        return mentorFeedback;
    }

    public void setMentorFeedback(String mentorFeedback) {
        this.mentorFeedback = mentorFeedback;
    }

    public TStQuestionAnswer[] gettStQuestionAnswerArray() {
        return tStQuestionAnswerArray;
    }

    public void settStQuestionAnswerArray(TStQuestionAnswer[] tStQuestionAnswerArray) {
        this.tStQuestionAnswerArray = tStQuestionAnswerArray;
    }
}
